﻿namespace Desarrollo
{
    //------------------------------------------------------------------------------
    // <auto-generated>
    //     Este código fue generado por una herramienta.
    //     Versión del motor en tiempo de ejecución:2.0.50727.5485
    //
    //     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
    //     se vuelve a generar el código.
    // </auto-generated>
    //------------------------------------------------------------------------------

    using System.Xml.Serialization;

    // 
    // This source code was auto-generated by xsd, Version=2.0.50727.3038.
    // 


    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/PolizasPeriodo")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/PolizasPeriodo", IsNullable = false)]
    public partial class Polizas
    {

        private PolizasPoliza[] polizaField;

        private string versionField;

        private string rFCField;

        private PolizasMes mesField;

        private int anioField;

        private string tipoSolicitudField;

        private string numOrdenField;

        private string numTramiteField;

        private string selloField;

        private string noCertificadoField;

        private string certificadoField;

        public Polizas()
        {
            this.versionField = "1.1";
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("Poliza")]
        public PolizasPoliza[] Poliza
        {
            get
            {
                return this.polizaField;
            }
            set
            {
                this.polizaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Version
        {
            get
            {
                return this.versionField;
            }
            set
            {
                this.versionField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string RFC
        {
            get
            {
                return this.rFCField;
            }
            set
            {
                this.rFCField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public PolizasMes Mes
        {
            get
            {
                return this.mesField;
            }
            set
            {
                this.mesField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public int Anio
        {
            get
            {
                return this.anioField;
            }
            set
            {
                this.anioField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TipoSolicitud
        {
            get
            {
                return this.tipoSolicitudField;
            }
            set
            {
                this.tipoSolicitudField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NumOrden
        {
            get
            {
                return this.numOrdenField;
            }
            set
            {
                this.numOrdenField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NumTramite
        {
            get
            {
                return this.numTramiteField;
            }
            set
            {
                this.numTramiteField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Sello
        {
            get
            {
                return this.selloField;
            }
            set
            {
                this.selloField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string noCertificado
        {
            get
            {
                return this.noCertificadoField;
            }
            set
            {
                this.noCertificadoField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Certificado
        {
            get
            {
                return this.certificadoField;
            }
            set
            {
                this.certificadoField = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/PolizasPeriodo")]
    public partial class PolizasPoliza
    {

        private PolizasPolizaTransaccion[] transaccionField;

        private string numUnIdenPolField;

        private System.DateTime fechaField;

        private string conceptoField;

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("Transaccion")]
        public PolizasPolizaTransaccion[] Transaccion
        {
            get
            {
                return this.transaccionField;
            }
            set
            {
                this.transaccionField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NumUnIdenPol
        {
            get
            {
                return this.numUnIdenPolField;
            }
            set
            {
                this.numUnIdenPolField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute(DataType = "date")]
        public System.DateTime Fecha
        {
            get
            {
                return this.fechaField;
            }
            set
            {
                this.fechaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Concepto
        {
            get
            {
                return this.conceptoField;
            }
            set
            {
                this.conceptoField = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/PolizasPeriodo")]
    public partial class PolizasPolizaTransaccion
    {

        private PolizasPolizaTransaccionCompNal[] compNalField;

        private PolizasPolizaTransaccionCompNalOtr[] compNalOtrField;

        private PolizasPolizaTransaccionCompExt[] compExtField;

        private PolizasPolizaTransaccionCheque[] chequeField;

        private PolizasPolizaTransaccionTransferencia[] transferenciaField;

        private PolizasPolizaTransaccionOtrMetodoPago[] otrMetodoPagoField;

        private string numCtaField;

        private string desCtaField;

        private string conceptoField;

        private decimal debeField;

        private decimal haberField;

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("CompNal")]
        public PolizasPolizaTransaccionCompNal[] CompNal
        {
            get
            {
                return this.compNalField;
            }
            set
            {
                this.compNalField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("CompNalOtr")]
        public PolizasPolizaTransaccionCompNalOtr[] CompNalOtr
        {
            get
            {
                return this.compNalOtrField;
            }
            set
            {
                this.compNalOtrField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("CompExt")]
        public PolizasPolizaTransaccionCompExt[] CompExt
        {
            get
            {
                return this.compExtField;
            }
            set
            {
                this.compExtField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("Cheque")]
        public PolizasPolizaTransaccionCheque[] Cheque
        {
            get
            {
                return this.chequeField;
            }
            set
            {
                this.chequeField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("Transferencia")]
        public PolizasPolizaTransaccionTransferencia[] Transferencia
        {
            get
            {
                return this.transferenciaField;
            }
            set
            {
                this.transferenciaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("OtrMetodoPago")]
        public PolizasPolizaTransaccionOtrMetodoPago[] OtrMetodoPago
        {
            get
            {
                return this.otrMetodoPagoField;
            }
            set
            {
                this.otrMetodoPagoField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NumCta
        {
            get
            {
                return this.numCtaField;
            }
            set
            {
                this.numCtaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string DesCta
        {
            get
            {
                return this.desCtaField;
            }
            set
            {
                this.desCtaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Concepto
        {
            get
            {
                return this.conceptoField;
            }
            set
            {
                this.conceptoField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal Debe
        {
            get
            {
                return this.debeField;
            }
            set
            {
                this.debeField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal Haber
        {
            get
            {
                return this.haberField;
            }
            set
            {
                this.haberField = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/PolizasPeriodo")]
    public partial class PolizasPolizaTransaccionCompNal
    {

        private string uUID_CFDIField;

        private string rFCField;

        private decimal montoTotalField;

        private string monedaField;

        private decimal tipCambField;

        private bool tipCambFieldSpecified;

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string UUID_CFDI
        {
            get
            {
                return this.uUID_CFDIField;
            }
            set
            {
                this.uUID_CFDIField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string RFC
        {
            get
            {
                return this.rFCField;
            }
            set
            {
                this.rFCField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal MontoTotal
        {
            get
            {
                return this.montoTotalField;
            }
            set
            {
                this.montoTotalField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Moneda
        {
            get
            {
                return this.monedaField;
            }
            set
            {
                this.monedaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal TipCamb
        {
            get
            {
                return this.tipCambField;
            }
            set
            {
                this.tipCambField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool TipCambSpecified
        {
            get
            {
                return this.tipCambFieldSpecified;
            }
            set
            {
                this.tipCambFieldSpecified = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/PolizasPeriodo")]
    public partial class PolizasPolizaTransaccionCompNalOtr
    {

        private string cFD_CBB_SerieField;

        private string cFD_CBB_NumFolField;

        private string rFCField;

        private decimal montoTotalField;

        private string monedaField;

        private decimal tipCambField;

        private bool tipCambFieldSpecified;

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string CFD_CBB_Serie
        {
            get
            {
                return this.cFD_CBB_SerieField;
            }
            set
            {
                this.cFD_CBB_SerieField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute(DataType = "integer")]
        public string CFD_CBB_NumFol
        {
            get
            {
                return this.cFD_CBB_NumFolField;
            }
            set
            {
                this.cFD_CBB_NumFolField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string RFC
        {
            get
            {
                return this.rFCField;
            }
            set
            {
                this.rFCField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal MontoTotal
        {
            get
            {
                return this.montoTotalField;
            }
            set
            {
                this.montoTotalField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Moneda
        {
            get
            {
                return this.monedaField;
            }
            set
            {
                this.monedaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal TipCamb
        {
            get
            {
                return this.tipCambField;
            }
            set
            {
                this.tipCambField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool TipCambSpecified
        {
            get
            {
                return this.tipCambFieldSpecified;
            }
            set
            {
                this.tipCambFieldSpecified = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/PolizasPeriodo")]
    public partial class PolizasPolizaTransaccionCompExt
    {

        private string numFactExtField;

        private string taxIDField;

        private decimal montoTotalField;

        private string monedaField;

        private decimal tipCambField;

        private bool tipCambFieldSpecified;

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NumFactExt
        {
            get
            {
                return this.numFactExtField;
            }
            set
            {
                this.numFactExtField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TaxID
        {
            get
            {
                return this.taxIDField;
            }
            set
            {
                this.taxIDField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal MontoTotal
        {
            get
            {
                return this.montoTotalField;
            }
            set
            {
                this.montoTotalField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Moneda
        {
            get
            {
                return this.monedaField;
            }
            set
            {
                this.monedaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal TipCamb
        {
            get
            {
                return this.tipCambField;
            }
            set
            {
                this.tipCambField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool TipCambSpecified
        {
            get
            {
                return this.tipCambFieldSpecified;
            }
            set
            {
                this.tipCambFieldSpecified = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/PolizasPeriodo")]
    public partial class PolizasPolizaTransaccionCheque
    {

        private string numField;

        private string banEmisNalField;

        private string banEmisExtField;

        private string ctaOriField;

        private System.DateTime fechaField;

        private string benefField;

        private string rFCField;

        private decimal montoField;

        private string monedaField;

        private decimal tipCambField;

        private bool tipCambFieldSpecified;

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Num
        {
            get
            {
                return this.numField;
            }
            set
            {
                this.numField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string BanEmisNal
        {
            get
            {
                return this.banEmisNalField;
            }
            set
            {
                this.banEmisNalField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string BanEmisExt
        {
            get
            {
                return this.banEmisExtField;
            }
            set
            {
                this.banEmisExtField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string CtaOri
        {
            get
            {
                return this.ctaOriField;
            }
            set
            {
                this.ctaOriField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute(DataType = "date")]
        public System.DateTime Fecha
        {
            get
            {
                return this.fechaField;
            }
            set
            {
                this.fechaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Benef
        {
            get
            {
                return this.benefField;
            }
            set
            {
                this.benefField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string RFC
        {
            get
            {
                return this.rFCField;
            }
            set
            {
                this.rFCField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal Monto
        {
            get
            {
                return this.montoField;
            }
            set
            {
                this.montoField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Moneda
        {
            get
            {
                return this.monedaField;
            }
            set
            {
                this.monedaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal TipCamb
        {
            get
            {
                return this.tipCambField;
            }
            set
            {
                this.tipCambField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool TipCambSpecified
        {
            get
            {
                return this.tipCambFieldSpecified;
            }
            set
            {
                this.tipCambFieldSpecified = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/PolizasPeriodo")]
    public partial class PolizasPolizaTransaccionTransferencia
    {

        private string ctaOriField;

        private string bancoOriNalField;

        private string bancoOriExtField;

        private string ctaDestField;

        private string bancoDestNalField;

        private string bancoDestExtField;

        private System.DateTime fechaField;

        private string benefField;

        private string rFCField;

        private decimal montoField;

        private string monedaField;

        private decimal tipCambField;

        private bool tipCambFieldSpecified;

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string CtaOri
        {
            get
            {
                return this.ctaOriField;
            }
            set
            {
                this.ctaOriField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string BancoOriNal
        {
            get
            {
                return this.bancoOriNalField;
            }
            set
            {
                this.bancoOriNalField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string BancoOriExt
        {
            get
            {
                return this.bancoOriExtField;
            }
            set
            {
                this.bancoOriExtField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string CtaDest
        {
            get
            {
                return this.ctaDestField;
            }
            set
            {
                this.ctaDestField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string BancoDestNal
        {
            get
            {
                return this.bancoDestNalField;
            }
            set
            {
                this.bancoDestNalField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string BancoDestExt
        {
            get
            {
                return this.bancoDestExtField;
            }
            set
            {
                this.bancoDestExtField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute(DataType = "date")]
        public System.DateTime Fecha
        {
            get
            {
                return this.fechaField;
            }
            set
            {
                this.fechaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Benef
        {
            get
            {
                return this.benefField;
            }
            set
            {
                this.benefField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string RFC
        {
            get
            {
                return this.rFCField;
            }
            set
            {
                this.rFCField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal Monto
        {
            get
            {
                return this.montoField;
            }
            set
            {
                this.montoField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Moneda
        {
            get
            {
                return this.monedaField;
            }
            set
            {
                this.monedaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal TipCamb
        {
            get
            {
                return this.tipCambField;
            }
            set
            {
                this.tipCambField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool TipCambSpecified
        {
            get
            {
                return this.tipCambFieldSpecified;
            }
            set
            {
                this.tipCambFieldSpecified = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/PolizasPeriodo")]
    public partial class PolizasPolizaTransaccionOtrMetodoPago
    {

        private string metPagoPolField;

        private System.DateTime fechaField;

        private string benefField;

        private string rFCField;

        private decimal montoField;

        private string monedaField;

        private decimal tipCambField;

        private bool tipCambFieldSpecified;

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string MetPagoPol
        {
            get
            {
                return this.metPagoPolField;
            }
            set
            {
                this.metPagoPolField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute(DataType = "date")]
        public System.DateTime Fecha
        {
            get
            {
                return this.fechaField;
            }
            set
            {
                this.fechaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Benef
        {
            get
            {
                return this.benefField;
            }
            set
            {
                this.benefField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string RFC
        {
            get
            {
                return this.rFCField;
            }
            set
            {
                this.rFCField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal Monto
        {
            get
            {
                return this.montoField;
            }
            set
            {
                this.montoField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Moneda
        {
            get
            {
                return this.monedaField;
            }
            set
            {
                this.monedaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal TipCamb
        {
            get
            {
                return this.tipCambField;
            }
            set
            {
                this.tipCambField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool TipCambSpecified
        {
            get
            {
                return this.tipCambFieldSpecified;
            }
            set
            {
                this.tipCambFieldSpecified = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/PolizasPeriodo")]
    public enum PolizasMes
    {

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("01")]
        Item01,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("02")]
        Item02,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("03")]
        Item03,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("04")]
        Item04,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("05")]
        Item05,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("06")]
        Item06,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("07")]
        Item07,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("08")]
        Item08,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("09")]
        Item09,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("10")]
        Item10,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("11")]
        Item11,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("12")]
        Item12,
    }
}
